<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:wsf="http://www.ebenoit.info/ext"
	xmlns:ws="http://www.ebenoit.info/data">

	<xsl:template name="body-template">
		<xsl:param name="side-bar" />
		<xsl:param name="contents" />

		<!-- Generate the header -->
		<div id="header">
			<h1><xsl:value-of select="wsf:get-site-title( string( $lang ) )" /></h1>
			<h2><xsl:call-template name="get-page-title">
				<xsl:with-param name="id" select="$page" />
			</xsl:call-template></h2>
		</div>

		<!-- Side bar -->
		<xsl:if test="$side-bar">
			<xsl:copy-of select="$side-bar" />
		</xsl:if>

		<div id="page-contents">
			<xsl:copy-of select="$contents" />
		</div>

	</xsl:template>

</xsl:stylesheet>
