<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ws="http://www.ebenoit.info/data">

	<xsl:template name="complete-history-container-template">
		<xsl:param name="contents" />
		<ul>
			<xsl:copy-of select="$contents" />
		</ul>
	</xsl:template>

	<xsl:template name="complete-history-entry-template">
		<li>
			<span style="text-decoration:underline"><xsl:value-of select="@date" /></span><br/>
			<xsl:apply-templates select="node()" />
		</li>
	</xsl:template>

	<xsl:template name="complete-history-empty-template">
		<xsl:param name="message" />
		<li style="empty-history-error">
			<xsl:value-of select="$message" />
		</li>
	</xsl:template>

</xsl:stylesheet>
